Newer Version Available
Retrieve Standard Invocable Actions
Retrieves the list of standard invocable actions that are
provided by Salesforce. Some actions require special access.
- URI
- /services/data/vXX.X/actions/standard
- Available since release
- 32.0
- Formats
- JSON, XML
- HTTP Methods
- GET
- Authentication
- Authorization: Bearer token
- Request parameters
- None required
- Example usage
-
1curl https://MyDomainName.my.salesforce.com/services/data/v56.0/actions/standard - Example JSON response body
-
1{ 2 "actions" : [ { 3 "label" : "Post to Chatter", 4 "name" : "chatterPost", 5 "type" : "CHATTERPOST", 6 "url" : "/services/data/v56.0/actions/standard/chatterPost" 7 }, { 8 "label" : "Enable Folder Support for a Content Workspace (Library)", 9 "name" : "contentWorkspaceEnableFolders", 10 "type" : "CONTENTWORKSPACE_ENABLE_FOLDERS", 11 "url" : "/services/data/v56.0/actions/standard/contentWorkspaceEnableFolders" 12 }, { 13 "label" : "Send Email", 14 "name" : "emailSimple", 15 "type" : "EMAILSIMPLE", 16 "url" : "/services/data/v56.0/actions/standard/emailSimple" 17 }, { 18 "label" : "Submit for Approval", 19 "name" : "submit", 20 "type" : "SUBMITAPPROVAL", 21 "url" : "/services/data/v56.0/actions/standard/submit" 22 }, { 23 "label" : "Deactivate Session-Based Permission Set", 24 "name" : "deactivateSessionPermSet", 25 "type" : "DEACTIVATE_SESSION_PERM_SET", 26 "url" : "/services/data/v56.0/actions/standard/deactivateSessionPermSet" 27 }, { 28 "label" : "Activate Session-Based Permission Set", 29 "name" : "activateSessionPermSet", 30 "type" : "ACTIVATE_SESSION_PERM_SET", 31 "url" : "/services/data/v56.0/actions/standard/activateSessionPermSet" 32 }, { 33 "label" : "Choose Price Book", 34 "name" : "choosePricebook", 35 "type" : "CHOOSE_PRICEBOOK", 36 "url" : "/services/data/v56.0/actions/standard/choosePricebook" 37 }, { 38 "label" : "Routing Address Verification", 39 "name" : "routingAddressVerification", 40 "type" : "ROUTING_ADDRESS_VERIFICATION", 41 "url" : "/services/data/v56.0/actions/standard/routingAddressVerification" 42 }, { 43 "label" : "Create Customer Contact Request", 44 "name" : "contactRequestAction", 45 "type" : "CONTACT_REQUEST_ACTION", 46 "url" : "/services/data/v56.0/actions/standard/contactRequestAction" 47 }, { 48 "label" : "Publish Managed Content Release", 49 "name" : "managedContentReleasePublish", 50 "type" : "MANAGED_CONTENT_RELEASE_PUBLISH", 51 "url" : "/services/data/v56.0/actions/standard/managedContentReleasePublish" 52 } ] 53} - Notes
-
For Salesforce Omnichannel Inventory and Salesforce Order Management, you can also call the corresponding Connect REST API endpoints or Apex ConnectApi methods. For more information, see Salesforce Omnichannel Inventory Resources and Salesforce Order Management Resources in the Connect REST API Developer Guide, and ConnectApi Namespace in the Apex Reference Guide.
The Post to Chatter action supports the following features using a special format in the body post.- @mentions using @[<id>]
- Topic links using #[<topicString>]
For more information about actions, see the Actions Developer Guide.